Subject: Re: bug#36161: 27.0.50; display-buffer-in-previous-window might choose not to use PREVIOUS-WINDOW

From: martin rudalics <[email-masked]>
Date: Wed, 12 Jun 2019 11:18:51 +0200

>> We can also change the semantics of this function to fit the old
 >> doc-string but I'd prefer to not do that on the release branch.
 >
 > Do you know of any reasons not to do that? If only to make this function shorter and easier to understand, that would be a good thing.

I would have to understand first why one and the same buffer was
displayed in different windows previously.

 > TBH, the new docstring seems a lot more confusing to me. "may override" doesn't really tell us what the function is going to do.

OK.  This time I tried to tell everything I know.  Please have a look.

martin